.show-overlay-menu {
    transform: translateX(0) !important;
}

.overlay-menu {
    position: fixed;
    background-color: white;
    display: flex;
    flex-direction: column;
    width: 500px;
    height: 100vh;
    right: 0;
    top: 0;
    z-index: 2;
    border-left: 1px solid black;
    border-right: 1px solid black;
    border-radius: 10px;
    transform: translateX(502px);
    transition: all 225ms ease-in-out;
    overflow: hidden;
}

.mobile-menu-header {
    background-color: black;
    width: 100%;
    height: fit-content;
    color: #FECB05;
    text-shadow: #395FAA 0.1em 0.1em 0.2em;
    height: 81px;
    font-family: 'Carter One' !important;
    font-size: 28px;
}

.mobile-menu-header img {
    height: 50px;
    width: 50px;
    background-color: white;
    border-radius: 10px;
    border: black solid 2px;
}

.info-header {
    display: flex;
    align-items: center;
    padding: 0% 2% 0% 2%;
}

.profile-icon {
    object-fit: cover;
    height: 48px;
    width: 48px;
    border-radius: 100%;
    animation: wiggle 2s linear infinite;
}

@keyframes wiggle {
    0%, 7% {
      transform: rotateZ(0);
    }
    15% {
      transform: rotateZ(-20deg);
    }
    20% {
      transform: rotateZ(15deg);
    }
    25% {
      transform: rotateZ(-12deg);
    }
    30% {
      transform: rotateZ(8deg);
    }
    35% {
      transform: rotateZ(-5deg);
    }
    40%, 100% {
      transform: rotateZ(0);
    }
  }



img {
    cursor: pointer;
}

.close-button-menu {
    position: absolute;
    right: 2%;
    cursor: pointer;
}

.bg-mobile {
    background: linear-gradient(white, black);
    height: -webkit-fill-available;
}

.bg-mobile img {
    height: 50px;
    width: 50px;
}

.bg-mobile div {
    font-family: 'Carter One';
    font-size: 18px;
}

.info-header-mobile {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.info-content-mobile {
    display: flex;
    margin: 2% 2% 2% 2%;
    padding: 2%;
    color: black;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
}

.info-content-mobile:hover {
    background-color: black;
    cursor: pointer;
    color: white;
}

.search-bar-close-button input {
    font-family: 'Carter One';
    display: flex;
    padding: 2%;
    color: black;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
    height: 30px;
    width: 300px;
    margin: 2%;
}

.search-bar-close-button {
    display: flex;
    align-items: center;
}

.close-button-search-bar {
    background-color: white;
    border-radius: 10px;
    border: black solid 1px;
    position: relative;
    right: -35px;
}

.wrap {
    display: flex;
    flex-wrap: wrap;
    height: fit-content;
    padding: 2%;
    margin: 2%;
}

.wrap span {
    color: white;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
    padding: 2%;
    margin: 2%;
    transition: 0.3s ease-in-out;
    cursor: pointer;
}

.wrap span:hover {
    transform: scale(1.08);
}

.wrap img {
    background-color: white;
    border-radius: 10px;
    border: black solid 1px;
    position: relative;
    margin-right: 9.5%;

}

.amount-bar-close-button {
    display: flex;
    align-items: center;
}

.amount-bar-close-button input {
    font-family: 'Carter One';
    display: flex;
    padding: 2%;
    color: black;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
    height: 40px;
    width: fit-content;
    margin: 4%;
    text-align: center;
    font-size: 20px;
}

.amount-bar-close-button button {
    font-family: 'Carter One';
    display: flex;
    align-items: center;
    padding: 2%;
    color: black;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
    height: 52px;
    width: fit-content;
    margin: 4%;
    text-align: center;
}

.amount-bar-close-button button:hover {
    color: white;
    background-color: black;
    cursor: pointer;
}

.error-message {
    color: #E41F25;
    margin-left: 4%;
}

#show-pokemon-name {
    font-family: 'Carter One';
    display: flex;
    align-items: center;
    padding: 2%;
    color: black;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
    height: 52px;
    width: fit-content;
    margin: 4%;
    text-align: center;
}